Bug 525510 - Review Request: geda-gaf - Design Automation toolkit for electronic design
Summary: Review Request: geda-gaf - Design Automation toolkit for electronic design
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-24 16:43 UTC by Chitlesh GOORAH
Modified: 2009-10-07 03:15 UTC (History)
3 users (show)

Fixed In Version: 1.6.0-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-07 03:14:37 UTC
rdieter: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chitlesh GOORAH 2009-09-24 16:43:45 UTC
Spec URL: http://chitlesh.fedorapeople.org/RPMS/geda-gaf.spec
SRPM URL: http://chitlesh.fedorapeople.org/RPMS/geda-gaf-1.5.4-1.fc11.src.rpm
Description: 
The GPL Electronic Design Automation (gEDA) project has produced and
continues working on a full GPL'd suite and toolkit of Electronic
Design Automation tools. These tools are used for electrical circuit
design, schematic capture, simulation, prototyping, and production.

Currently, the gEDA project offers a mature suite of free software
applications for electronics design, including schematic capture,
attribute management, bill of materials (BOM) generation, netlisting
into over 20 netlist formats, analog and digital simulation, and
printed circuit board (PCB) layout.

Comment 1 Chitlesh GOORAH 2009-09-24 16:49:36 UTC
This package will obsolete all the geda packages available under the fedora repositories.

With the upcoming releases, the geda community will provide only big tarball instead of smaller packages. Hence in accordance to fedora packaging guidelines, I have to file another package review before obsoleting the existing fedora geda-gaf packages.

Please note that upstream releases, the tarball under the name of gEDA-gaf, however in order to maintain consistency between various distributions, Packagers of various distributions have agreed to use the name geda-gaf as the debian community does not accept capital letters. That said, upstream agreed to release the next release under "geda-gaf" without any capital letters.

Comment 2 Rex Dieter 2009-09-24 17:16:18 UTC
scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1704192


In the meantime, did a local, build, tripped up on:


ERROR   0001: file '/usr/bin/gschlas' contains a standard rpath '/usr/lib64' in [/usr/lib64]
ERROR   0001: file '/usr/bin/gattrib' contains a standard rpath '/usr/lib64' in [/usr/lib64]
ERROR   0001: file '/usr/bin/gnetlist' contains a standard rpath '/usr/lib64' in [/usr/lib64]
ERROR   0001: file '/usr/bin/gsymcheck' contains a standard rpath '/usr/lib64' in [/usr/lib64]
ERROR   0001: file '/usr/bin/gschem' contains a standard rpath '/usr/lib64' in [/usr/lib64]
ERROR   0001: file '/usr/bin/sarlacc_schem' contains a standard rpath '/usr/lib64' in [/usr/lib64]

Comment 3 Rex Dieter 2009-09-24 17:19:53 UTC
OK, full rpmlint output follows:

$ rpmlint *.rpm noarch/*.rpm x86_64/*.rpm                                                          
geda-symbols.noarch: W: file-not-utf8 /usr/share/doc/geda-symbols-1.5.4/AUTHORS                    
geda-symbols.noarch: W: file-not-utf8 /usr/share/doc/geda-symbols-1.5.4/ChangeLog-1.0              
geda-gaf.x86_64: W: incoherent-version-in-changelog 1.5.4-1.20090830snap ['1:1.5.4-1.fc11', '1:1.5.4-1']
geda-gaf.x86_64: E: no-binary                                                                           
geda-gattrib.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/gattrib ['/usr/lib64']                   
geda-gnetlist.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/gnetlist ['/usr/lib64']                 
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/pads/singlenet-output.net                                                                                          
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/pads/SlottedOpamps-output.net                                                                                      
geda-gnetlist.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/futurenet2/SlottedOpamps-output.net                                                                                                    
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/pads/JD_Include_nomunge-output.net                                                                                 
geda-gnetlist.x86_64: W: spurious-executable-perm /usr/share/doc/gEDA-gaf/gnetlist/tests/common/run_backend_tests.sh                                                                                                              
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/pads/TwoStageAmp_Include-output.net                                                                                
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/redac/TwoStageAmp-output.net                                                                                       
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/redac/cascade-output.net                                                                                           
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/pads/JD_Sort_nomunge-output.net                                                                                    
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/redac/JD_Sort-output.net                                                                                           
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/pads/multiequal-output.net                                                                                         
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/redac/netattrib-output.net                                                                                         
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/redac/JD_Include-output.net                                                                                        
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/pads/TwoStageAmp_Sort-output.net                                                                                   
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/singlenet.pads   
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/redac/TwoStageAmp_Sort-output.net                                                                                  
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/redac/JD-output.net                                                                                                
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/redac/singlenet-output.net                                                                                         
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/pads/JD_Sort-output.net                                                                                            
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/redac/JD_Sort_nomunge-output.net                                                                                   
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/pads/netattrib-output.net                                                                                          
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/redac/TwoStageAmp_Include-output.net                                                                               
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/pads/JD-output.net                                                                                                 
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/pads/powersupply-output.net                                                                                        
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/pads/cascade-output.net                                                                                            
geda-gnetlist.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/drc/multiequal-output.net                                                                                                              
geda-gnetlist.x86_64: W: spurious-executable-perm /usr/share/doc/gEDA-gaf/gnetlist/tests/common/run_tests.sh     
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/powersupply.pads 
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/pads/JD_Include-output.net                                                                                         
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/redac/powersupply-output.net                                                                                       
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/pads/TwoStageAmp-output.net                                                                                        
geda-gnetlist.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/switcap/SlottedOpamps-output.net                                                                                                       
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/redac/multiequal-output.net                                                                                        
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/redac/SlottedOpamps-output.net                                                                                     
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/pads/JD_nomunge-output.net                                                                                         
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/redac/JD_nomunge-output.net                                                                                        
geda-gnetlist.x86_64: W: spurious-executable-perm /usr/share/doc/gEDA-gaf/gnetlist/tests/runtest.sh              
geda-gnetlist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/gEDA-gaf/gnetlist/tests/common/outputs/redac/JD_Include_nomunge-output.net                                                                                
geda-gschem.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/gschem ['/usr/lib64']                              
geda-gschem.x86_64: W: file-not-utf8 /usr/share/doc/geda-gschem-1.5.4/ChangeLog                                  
geda-gsymcheck.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/gsymcheck ['/usr/lib64']                        
geda-gsymcheck.x86_64: W: spurious-executable-perm /usr/share/doc/gEDA-gaf/gsymcheck/tests/runtest.sh            
geda-utils.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/sarlacc_schem ['/usr/lib64']                        
geda-utils.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/gschlas ['/usr/lib64']                              
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/del_case_sens1-pcb_example1.xy-error                                                                                                          
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/translate_col_change_R10_value-pcb_example1.xy-error                                                                                          
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/rotate_case_sens-pcb_example1.xy-error                                                                                                        
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/multiply_integer_factor-pcb_example1.xy-error                                                                                                 
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/match_col_insens4-pcb_example1.xy-error                                                                                                       
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/translate_col_no_match1-pcb_example1.xy-error                                                                                                 
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/process_comment-pcb_example1.xy-error                                                                                                         
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/offset_match_negative_real_offset-pcb_example1.xy-error                                                                                       
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/multiply_negative_integer_factor-pcb_example1.xy-error                                                                                        
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/multiply_with_checklist-pcb_example1.xy-error                                                                                                 
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/multiply_real_factor-pcb_example1.xy-error                                                                                                    
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/chunits_to_mil_2cols-protel_example1_mm.txt-error                                                                                             
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/rotate_negative_real_angle-pcb_example1.xy-error                                                                                              
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/rotate_real_angle-pcb_example1.xy-error                                                                                                       
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/rotate_check_cols_no_match-pcb_example1.xy-error                                                                                              
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/subst_check_cols_no_match-pcb_example1.xy-error                                                                                               
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/del_case_insens2-pcb_example2.xy-error                                                                                                        
geda-utils.x86_64: W: spurious-executable-perm /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/run_tests.sh            
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/offset_check_cols_no_match-pcb_example1.xy-error                                                                                              
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/multiply_negative_real_factor-pcb_example1.xy-error                                                                                           
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/offset_match_real_offset-pcb_example1.xy-error                                                                                                
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/match_no_args-pcb_example1.xy-error                                                                                                           
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/offset_match_negative_offset-pcb_example1.xy-error                                                                                            
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/match_col_sens3-pcb_example2.xy-error                                                                                                         
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/match_col_insens1-pcb_example2.xy-error                                                                                                       
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/footprint_protel1-protel_example1_mil.txt-error                                                                                               
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/panelize_tabulate-pcb_example1.xy-error                                                                                                       
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/chunits_2mm_6col_tab_notit-protel_example1_mil.txt-error                                                                                      
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/chunits_to_mil-protel_example1_mm.txt-error                                                                                                   
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/output_delimiter-pcb_example1.xy-error                                                                                                        
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/match_col_sens2-pcb_example1.xy-error                                                                                                         
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/chunits_to_mm_no_title-protel_example1_mil.txt-error                                                                                          
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/swap_cols_with_match-pcb_example1.xy-error                                                                                                    
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/swap_cols_no_match-pcb_example1.xy-error                                                                                                      
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/match_col_insens2-pcb_example2.xy-error                                                                                                       
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/match_col_sens4-pcb_example2.xy-error                                                                                                         
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/match_col_insens3-pcb_example1.xy-error                                                                                                       
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/chunits_done_notitle-protel_example1_mil.txt-error                                                                                            
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/del_check_cols_no_match-pcb_example1.xy-error                                                                                                 
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/translate_col_chg_all_val_plus_k-pcb_example1.xy-error                                                                                        
geda-utils.x86_64: W: spurious-executable-perm /usr/share/doc/gEDA-gaf/utils/tests/refdes_renum/run_tests.sh     
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/insert_col_first_pos-pcb_example1.xy-error                                                                                                    
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/translate_col_no_match2-pcb_example1.xy-error                                                                                                 
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/footprint_report1-report1.txt-error                                                                                                           
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/del_case_sens3-pcb_example1.xy-error                                                                                                          
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/insert_col_second_pos-pcb_example1.xy-error                                                                                                   
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/match_col_sens1-pcb_example1.xy-error                                                                                                         
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/do_nothing-pcb_example1.xy-error                                                                                                              
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/del_case_insens1-pcb_example1.xy-error                                                                                                        
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/del_case_sens2-pcb_example2.xy-error                                                                                                          
geda-utils.x86_64: W: spurious-executable-perm /usr/share/doc/gEDA-gaf/utils/examples/tragesym/alltest           
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/offset_check_cols_match-pcb_example1.xy-error
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/subst_check_cols_match-pcb_example1.xy-error
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/footprint_pcb1-pcb_example1.xy-error
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/rotate_case_insens-pcb_example1.xy-error
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/rotate_negative_angle-pcb_example1.xy-error
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/translate_col_R10_value_case_insens-pcb_example1.xy-error
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/chunits_to_mm_2cols-protel_example1_mil.txt-error
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/do_nothing_tabulated-pcb_example1.xy-error
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/swap_cols_no_matchlist-pcb_example1.xy-error
geda-utils.x86_64: E: zero-length /usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/del_case_sens4-pcb_example2.xy-error
libgeda.x86_64: W: shared-lib-calls-exit /usr/lib64/libgeda.so.37.0.0 exit@GLIBC_2.2.5
libgeda-devel.x86_64: W: no-documentation
11 packages and 0 specfiles checked; 68 errors, 45 warnings.

Comment 4 Rex Dieter 2009-09-24 17:57:30 UTC
check upgrade paths,

yum groupinstall electronic-lab

Then manually upgraded to everything within the aforementioned scratch build, good.

Comment 5 Rex Dieter 2009-09-24 17:59:21 UTC
oh, I guess there aren't any Obsoletes here that I notice, nevermind. :)

Comment 6 Rex Dieter 2009-09-24 18:16:48 UTC
Upstream sources verified:
$ md5sum gEDA-gaf-1.5.4.tar.gz
d99006d25bb7e61cbbdcc6c775861169  gEDA-gaf-1.5.4.tar.gz


1. MUST: remove rpaths. this snippet (in %prep after %setup) worked nicely for me:

%if "%{_libdir}" != "/usr/lib"
sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure
%endif

2.  MUST: remove or document need for including the empty files related to the rpmlint errors like:
geda-utils.x86_64: E: zero-length
/usr/share/doc/gEDA-gaf/utils/tests/gxyrs/outputs/offset_check_cols_match-pcb_example1.xy-error

I believe that should take care of all or a majority of the rpmlint items.

3.  MUST: add to libgeda-devel
Requires: pkgconfig
(for directory ownership)

4.  MUST: add desktop scriptlet to geda-gschem (it's .desktop file contains MimeTypes= key):
http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-database

5.  SHOULD: use %posttrans optimized versions of scriptlets (icons in particular), but not a big deal, adds complexity, but will also speed installation and upgrades.


That's all I've got so far, mind fixing these up, and we can do another final pass?

Comment 7 Chitlesh GOORAH 2009-09-24 20:07:32 UTC
Updated
Spec URL: http://chitlesh.fedorapeople.org/RPMS/geda-gaf.spec
SRPM URL: http://chitlesh.fedorapeople.org/RPMS/geda-gaf-1.5.4-2.fc11.src.rpm


Most of the rpmlint have been fixed. Others are scripts to be executed by the user as documentation.

Test case for F-11 ONLY:

yum install geda*

Setup gedatest repo created from koji scratch build as explain here.

yum install geda-gaf.x86_64 --enablerepo=gedatest
or
yum install geda-gaf.i586 --enablerepo=gedatest

Comment 8 Chitlesh GOORAH 2009-09-24 20:09:55 UTC
(In reply to comment #5)
> oh, I guess there aren't any Obsoletes here that I notice, nevermind. :)  

This was automatically processed by the use of epoch.

Once the package has been approved, I'll set the following as dead packages:
* libgeda
* geda-gschem
* geda-symbols
* geda-gnetlist
* geda-utils
* geda-examples
* geda-docs
* geda-gattrib
* geda-gsymcheck

Comment 9 Chitlesh GOORAH 2009-09-24 20:13:09 UTC
Sorry forgot to post the url on how to setup the repo:

http://chitlesh.wordpress.com/2009/09/01/fel-geda-gaf-1-5-4-versus-fedora-packaging/

Comment 10 Rex Dieter 2009-09-28 19:03:24 UTC
OK, baring a broken dep in the gedatest repo, I think this latest update addresses all the blocker-worthy items I could find.

APPROVED.

Comment 11 Chitlesh GOORAH 2009-09-28 19:12:05 UTC
New Package CVS Request
=======================
Package Name: geda-gaf
Short Description: Design Automation toolkit for electronic design
Owners: chitlesh
Branches: F-10 F-11 F-12 EL-5

Comment 12 Kevin Fenzi 2009-09-29 20:11:39 UTC
cvs done.

Comment 13 Mamoru TASAKA 2009-10-04 14:18:52 UTC
Well, I don't think we should close review request when
build fails on "rawhide" (currently F-12).

The problem is that gattrib/src/gtkitementry_2_2.c uses members of
struct GtkEntry which is "declared" as "private" in gtk-2.0/gtk/gtkentry.h.
The following can be a workaround, however in the future
gattrib/src/gtkitementry_2_2.c should be fixed not to use "private" member
of GtkEntry.

----------------------------------------------------------
%if 0%{?fedora} >= 12
sed -i.gtkver -e 's|2.17.3|2.19.0|' configure
sed -i.gtkver \
	-e 's|entry->text_size|entry->x_text_size|g' \
	-e 's|entry->n_bytes|entry->x_n_bytes|g' \
	gattrib/src/gtkitementry_2_2.c
%endif
----------------------------------------------------------

c.f.
https://www.redhat.com/archives/fedora-extras-commits/2009-September/msg01015.html
This seems to be using the exactly same code.

Comment 14 Fedora Update System 2009-10-07 03:14:29 UTC
geda-gaf-1.6.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2009-10-07 03:15:39 UTC
geda-gaf-1.6.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.